org.apache.jorphan.gui

## Class ObjectTableSorter.PreserveLastRowComparator

- java.lang.Object
- - org.apache.jorphan.gui.ObjectTableSorter.PreserveLastRowComparator

- All Implemented Interfaces:
    java.util.Comparator<ObjectTableSorter.Row>
  Enclosing class:
    ObjectTableSorter

      protected class ObjectTableSorter.PreserveLastRowComparator
      extends java.lang.Object
      implements java.util.Comparator<ObjectTableSorter.Row>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PreserveLastRowComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(ObjectTableSorter.Row o1, ObjectTableSorter.Row o2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### PreserveLastRowComparator

          protected PreserveLastRowComparator()

  - ### Method Detail

    - #### compare

          public int compare(ObjectTableSorter.Row o1,
                             ObjectTableSorter.Row o2)

      Specified by:
        `compare` in interface `java.util.Comparator<ObjectTableSorter.Row>`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.